package com.bcxin.risk.report.enums;

public enum SurveyType {
	
	SCENE_BUILD {public String getValue(){return "0";} public String getName(){return "场地建筑情况";}}, 

	SCENE_LAYOUT{public String getValue(){return "1";} public String getName(){return "场地布置";}};
	

    public abstract String getValue();
    
    public abstract String getName();
    
    public static SurveyType convert(String value){
    	if ( "SCENE_BUILD".equals(value) ) {
    		return SurveyType.SCENE_BUILD;
    	} else if ("SCENE_LAYOUT".equals(value)) {
    		return SurveyType.SCENE_LAYOUT;
    	} 
    	return null;
    }
    
    public static SurveyType convertValue(String value){
      	 if("0".equals(value)){return SurveyType.SCENE_BUILD;}
	   	 else if("1".equals(value)){return SurveyType.SCENE_LAYOUT;}
	   	 else{return null;}
	}
}
